### Enumeration

# GLib SeekType

#### Declaration

    enum GLib.SeekType

#### Description

An enumeration specifying the base position for a `g_io_channel_seek_position()` operation.

#### Members

`G_SEEK_CUR`

  The current position in the file.

  - Value: `0`
  - Available since: 2.0
`G_SEEK_SET`

  The start of the file.

  - Value: `1`
  - Available since: 2.0
`G_SEEK_END`

  The end of the file.

  - Value: `2`
  - Available since: 2.0